using GatewaySCO;
using Serilog;
using Gk = SCOGateway.POSGkPruebas;

/// <summary>
/// Instancia directorio de comandos de prueba de GK con cada
/// uno de los comandos.
/// </summary>
public class DispensaDirectorioCmdsGKPruebas : IDispensaDirectorioCmds
{
    /// <summary>
    /// Retorna directorio de comandos instanciado y poblado de
    /// comandos. 
    /// </summary>
    public static CreaDirectorioCmds Dispensa()
    {
        Log.Information("Instancia comandos de GK/ECO_POSBC de prueba.");

        return new IniciaDirectorioCmds()
            .AgregaCmd(new Gk.InitializeRequestCmd())
            .DirectorioCmds;
    }
}